%mingw_package

%define pkgname libtiff

Name: %cross_arch-%pkgname
Version: 3.7.0
Release: alt1

Summary: %pkgname DLL for %cross_arch target
License: BSD-like
Group: System/Libraries
Url: http://www.libtiff.org/

BuildArch: noarch

Source: ftp://ftp.remotesensing.org/pub/libtiff/tiff-%version.tar.bz2

Patch0: libtiff-alt-ycbcrsubsampling.patch
Patch1: libtiff-3.7.0beta2-alt-tif_print-size.patch
Patch2: libtiff-3.7.0beta2-alt-soname.patch
Patch3: libtiff-3.7.0beta2-alt-tmp.patch
Patch4: libtiff-3.7.0beta2-alt-gl-fixes.patch
Patch5: libtiff-3.7.0-alt-configure.patch
Patch6: libtiff-alt-tiffset.patch

BuildPreReq: i386-mingw32msvc-devel >= 0.0.2

# Automatically added by buildreq on Sun Oct 03 2004 (-bi)
BuildRequires: i386-mingw32msvc-binutils i386-mingw32msvc-gcc i386-mingw32msvc-runtime i386-mingw32msvc-zlib-devel

%package devel
Summary: Header files for developing apps which will use %pkgname
Group: Development/C
PreReq: %cross_arch-base
Conflicts: %name < %version-%release
Conflicts: %name > %version-%release

%package devel-static
Summary: Static %pkgname library for %cross_arch target
Group: Development/C
PreReq: %cross_arch-base
Requires: %name-devel = %version-%release

%description
This package contains %pkgname DLL built for %cross_arch target.

%description devel
%pkgname development files for crosscompiling to
%cross_arch target.

%description devel-static
Static version of %pkgname library for %cross_arch target.

%prep
%setup -q -n tiff-%version
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p0

find -type f -name \*.orig -print -delete
subst 's/\([[:space:]]*\)\((float).*\),$/\1{\2},/' libtiff/uvcode.h

%build
%define _optlevel 3
%add_optflags -D_REENTRANT -momit-leaf-frame-pointer

autoreconf -fisv

# we generate jconfig.h
%configure \
	--prefix=%_archprefix \
	--includedir=%_archincludedir \
	--libdir=%_archlibdir \
	--bindir=%_archbindir \
	--enable-shared \
	--enable-static \
	%cross_env
	
make -C port
make -C libtiff

%install
%__mkdir_p %buildroot{%_archbindir,%_archlibdir,%_archincludedir}

make -C libtiff install \
	prefix=%buildroot%_archprefix \
	libdir=%buildroot%_archlibdir \
	datadir=%buildroot%_archdatadir \
	includedir=%buildroot%_archincludedir

# delete .la files
%__rm -f %buildroot%_archlibdir/*.la

%cross_arch-strip --strip-unneeded %buildroot%_archbindir/*.dll
%cross_arch-strip --strip-unneeded %buildroot%_archlibdir/*.dll.a

%files
%_archbindir/*.dll

%files devel
%_archlibdir/*.dll.a
%_archincludedir/*

%files devel-static
%_archlibdir/*.a
%exclude %_archlibdir/*.dll.a

%changelog
* Mon Nov 29 2004 Alexander Borovsky <partizan@altlinux.ru> 3.7.0-alt1
- Built for %cross_arch target


